<?php
/************************************************************************/
/* NPDS V : Net Portal Dynamic System                                   */
/* ===========================                                          */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2011 by Philippe Brunier   */
/*                                                                      */
/* Module GS-annonces 2.3                                               */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
// Bas sur gadjo_annonces v 1.2 - Adaptation 2008 par Jireck et lopez
// Normalisation du module pour Evolution, retro-compatibilit sable 5.10
// MAJ conformit XHTML pour REvolution 10.02 par jpb/phr en mars 2010
// MAJ Dev - 2011
//***********************************************************************/
// For More security
if (!stristr($_SERVER['PHP_SELF'],"admin.php")) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}
// For More security

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

include ("modules/$ModPath/annonce.conf.php");

// Creation automatique des tables
$result=sql_list_tables();
while (list($table)=sql_fetch_row($result)) {
   $tables[]=$table;
}
if (!array_search($table_cat,$tables)) {
   $sql_query="CREATE TABLE IF NOT EXISTS ".$table_cat." (
     id_cat mediumint(11) NOT NULL auto_increment,
     id_cat2 mediumint(11) NOT NULL default '0',
     categorie varchar(30) NOT NULL default '',
     KEY id (id_cat)
     )";
   $result = sql_query($sql_query);
}
if (!array_search($table_annonces,$tables)) {
   $sql_query="CREATE TABLE IF NOT EXISTS ".$table_annonces." (
     id bigint(20) NOT NULL auto_increment,
     id_user bigint(20) default NULL,
     id_cat mediumint(11) default NULL,
     tel varchar(20) NOT NULL default '',
     tel_2 varchar(20) NOT NULL default '',
     code varchar(5) NOT NULL default '',
     ville varchar(40) NOT NULL default '',
     date varchar(20) NOT NULL default '',
     text mediumtext NOT NULL,
     en_ligne TINYINT(1) NOT NULL DEFAULT '0',
     prix DECIMAL (10,2) NOT NULL DEFAULT '0',
     KEY id (id)
     )";
   $result = sql_query($sql_query);
}
// Creation automatique des tables

   $query="select id from $table_annonces where en_ligne='1'";
   $result= sql_query($query);
   $num_ann_total= sql_num_rows($result);

   $query="select id from $table_annonces where en_ligne='0'";
   $result= sql_query($query);
   $num_ann_apub_total= sql_num_rows($result);

   $query="select id from $table_annonces where en_ligne='2'";
   $result= sql_query($query);
   $num_ann_archive_total= sql_num_rows($result);

   echo "<br />".removeHack($mess_acc)."<br />";
   opentable();
   echo "<p align=\"center\">Annonces => en Ligne : $num_ann_total |  Valider : <span class=\"rouge\">$num_ann_apub_total</span> | en Archive : $num_ann_archive_total";
   echo "&nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=admin/adm_cat\" class=\"noir\">Ajouter ou modifier une cat&eacute;gorie</a></p><br /><br />";

   $result= sql_query("SELECT id_cat, count(en_ligne) FROM $table_annonces WHERE en_ligne='1' GROUP BY id_cat");
   while (list($cat, $count)= sql_fetch_row($result)) {
      $num_ann[$cat]=$count;
   }
   $result= sql_query("SELECT id_cat, count(en_ligne) FROM $table_annonces WHERE en_ligne='0' GROUP BY id_cat");
   while (list($cat, $count)= sql_fetch_row($result)) {
      $num_ann_apub[$cat]=$count;
   }
   $result= sql_query("SELECT id_cat, count(en_ligne) FROM $table_annonces WHERE en_ligne='2' GROUP BY id_cat");
   while (list($cat, $count)= sql_fetch_row($result)) {
      $num_ann_archive[$cat]=$count;
   }
   $select= sql_query("select * from $table_cat where id_cat2='0' order by id_cat");
   while ($i= sql_fetch_assoc($select)) {
      echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"header\"><tr><td>
      <table width=\"100%\" cellspacing=\"1\" cellpadding=\"1\" border=\"0\">";
      $id_cat=$i['id_cat'];
      $categorie=stripslashes($i['categorie']);
      $rowcolor=tablos();
      echo "<tr $rowcolor>\n";
      echo "<td width='50%' align='left'>$categorie</td>\n";
      if (!$num_ann[$id_cat]) $num_ann[$id_cat]=0;
      if (!$num_ann_apub[$id_cat]) $num_ann_apub[$id_cat]=0;
      if (!$num_ann_archive[$id_cat]) $num_ann_archive[$id_cat]=0;
      echo "<td width=\"25%\" align=\"center\">$num_ann[$id_cat] / <span class=\"rouge\">$num_ann_apub[$id_cat]</span> / $num_ann_archive[$id_cat]</td>\n";
      echo "<td width=\"25%\" align=\"center\">\n";
      echo "<a href='admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=admin/adm_ann&id_cat=".$id_cat."' class=\"noir\">administrer</a>\n";
      echo "</td></tr>\n";
      $select2= sql_query("select * from $table_cat where id_cat2='$id_cat' order by id_cat");
      while ($i2= sql_fetch_assoc($select2)) {
         $rowcolor=tablos();
         echo "<tr $rowcolor>\n";
         echo "<td width=\"50%\" align=\"left\">&nbsp;&nbsp;&nbsp;".stripslashes($i2['categorie'])."</td>\n";
         $id_cat=$i2['id_cat'];
         if (!$num_ann[$id_cat]) $num_ann[$id_cat]=0;
         if (!$num_ann_apub[$id_cat]) $num_ann_apub[$id_cat]=0;
         if (!$num_ann_archive[$id_cat]) $num_ann_archive[$id_cat]=0;
         echo "<td width=\"25%\" align=\"center\">$num_ann[$id_cat] / <span class='rouge'>$num_ann_apub[$id_cat]</span> / $num_ann_archive[$id_cat]</td>\n";
         echo "<td width=\"25%\" align=\"center\"> \n";
         echo "<a href='admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=admin/adm_ann&amp;id_cat=".$id_cat."' class=\"noir\">administrer</a>\n";
         echo "</td></tr>\n";
      }
      echo "</table>";
      echo "</td></tr></table><br />";
   }
   closetable();
   opentable();
   echo "<a href='modules.php?ModPath=$ModPath&amp;ModStart=index' class=\"noir\">Les Petites annonces en ligne</a></td><td align=\"right\">Version $GS_version\n";
   closetable();
?>